> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses customersbatch



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/customers/batch
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/customers/batch:
    post:
      tags:
        - Customers
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/DTOCustomerCreateRequest'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/DTOCustomerCreateRequest'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/DTOCustomerCreateRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DTOSBCustomerResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DTOSBCustomerResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DTOSBCustomerResponse'
        '404':
          description: Not Found
components:
  schemas:
    DTOCustomerCreateRequest:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        companyName:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddressRequest'
        shippingAddress:
          $ref: '#/components/schemas/DTOBillingAddressRequest'
        isTaxExempt:
          type: boolean
        tags:
          type: array
          items:
            type: string
          nullable: true
        currency:
          type: string
          nullable: true
        acceptsMarketing:
          type: boolean
        phoneNumber:
          type: string
          nullable: true
        nickname:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        locale:
          type: string
          nullable: true
        accountNumber:
          type: string
          nullable: true
        customerNumber:
          type: string
          nullable: true
        birthDate:
          type: string
          format: date-time
          nullable: true
        metadata:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
      additionalProperties: false
    DTOSBCustomerResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddress'
        shippingAddress:
          $ref: '#/components/schemas/DTOBillingAddress'
        phoneNumber:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        currency:
          type: string
          nullable: true
        acceptsMarketing:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    DTOBillingAddressRequest:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddressRequest'
        company:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
        latitude:
          type: number
          format: double
        longitude:
          type: number
          format: double
        addressExpiresAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    DTOBillingAddress:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        company:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      additionalProperties: false
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false
    DTOAddressRequest:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
      additionalProperties: false

````